--- a/alsa-tools.spec	2019-01-15 05:47:58.246142208 +0300
+++ b/alsa-tools.spec	2019-01-15 05:47:58.248142184 +0300
@@ -131,7 +131,7 @@
 rm -f %buildroot%_sysconfdir/hotplug/usb/tascam_fw.usermap
 mkdir -p %buildroot{%udevdir,%_sysconfdir/udev/rules.d}
 mv %buildroot%_sysconfdir/hotplug/usb/* %buildroot%udevdir/
-install -pm644 %SOURCE1 %buildroot%_sysconfdir/udev/rules.d/
+install -pm644 %SOURCE1 %buildroot%_udevrulesdir/
 
 %files
 %exclude %_bindir/hdajackretask
@@ -140,7 +140,7 @@
 %_bindir/*
 %_datadir/sounds/opl3
 %_man1dir/*
-%config(noreplace) %_sysconfdir/udev/rules.d/*.rules
+%config(noreplace) %_udevrulesdir/*.rules
 %udevdir/tascam_fpga
 %udevdir/tascam_fw
 
--- a/drbd83.spec	2019-01-15 05:47:59.996120988 +0300
+++ b/drbd83.spec	2019-01-15 05:47:59.998120964 +0300
@@ -131,6 +131,9 @@
 EOF
 
 %__mkdir_p %buildroot%_localstatedir/drbd
+# sysconf/udev policy - /etc is for user
+mkdir -p %buildroot%_udevrulesdir/
+mv %buildroot%_sysconfdir/udev/rules.d/* %buildroot%_udevrulesdir/
 
 %files tools
 /sbin/drbdsetup
@@ -159,7 +162,7 @@
 %_usrsrc/kernel/sources/kernel-source*.tar.bz2
 
 %files udev
-%config %_sysconfdir/udev/rules.d/65-drbd.rules*
+%config %_udevrulesdir/65-drbd.rules*
 
 %files heartbeat
 %_sysconfdir/ha.d/resource.d/drbddisk
--- a/foo2zjs.spec	2019-01-15 05:48:00.885110206 +0300
+++ b/foo2zjs.spec	2019-01-15 05:48:00.889110158 +0300
@@ -186,7 +186,7 @@
 # need to prepare these by hand
 mkdir -p %buildroot{/bin,%_bindir,%_sbindir,%_datadir/cups/model,%_datadir/ppd/foo2zjs}
 mkdir -p %buildroot%_datadir/foomatic/db/source/{driver,opt,printer}
-mkdir -p %buildroot%_sysconfdir/udev/rules.d
+mkdir -p %buildroot%_udevrulesdir
 %make \
 	DESTDIR=%buildroot \
 	PREFIX=%buildroot%_usr \
@@ -202,7 +202,7 @@
 %__install -pD -m644 %SOURCE5 %buildroot%_niconsdir/hplj1020.png
 %__install -pD -m644 %SOURCE6 %buildroot%_liconsdir/hplj1020.png
 
-%__install -pD -m644 %SOURCE7 %buildroot%_sysconfdir/udev/rules.d/11-hplj10xx.rules
+%__install -pD -m644 %SOURCE7 %buildroot%_udevrulesdir/11-hplj10xx.rules
 
 #ln -s %_datadir/ppd/foo2zjs %buildroot%_datadir/cups/model/foo2zjs-ppd
 
@@ -232,7 +232,7 @@
 /bin/*
 %_bindir/*
 %_sbindir/hplj*
-%_sysconfdir/udev/rules.d/*
+%_udevrulesdir/*
 %dir %_localstatedir/foo2zjs/
 %_localstatedir/foo2zjs/*
 %_localstatedir/foo2hiperc/*
--- a/gkrellm-radio.spec	2019-01-15 05:48:01.820098868 +0300
+++ b/gkrellm-radio.spec	2019-01-15 05:48:01.821098856 +0300
@@ -41,11 +41,11 @@
 mkdir -p %buildroot%_libdir/gkrellm2/plugins
 %make_install install enable_nls=1 PLUGIN_DIR=%buildroot%_libdir/gkrellm2/plugins INSTALL_PREFIX=%buildroot LOCALEDIR=%_datadir/locale
 %find_lang %name
-install -m 644 -pD %SOURCE1 %buildroot%_sysconfdir/udev/rules.d/20-radio.rules
+install -m 644 -pD %SOURCE1 %buildroot%_udevrulesdir/20-radio.rules
 
 %files -f %name.lang
 %doc CHANGES README lirc.example
 %_libdir/gkrellm2/plugins/%plugin.so
-%_sysconfdir/udev/rules.d/*
+%_udevrulesdir/*
 
 %changelog
--- a/hdapsd.spec	2019-01-15 05:48:02.172094600 +0300
+++ b/hdapsd.spec	2019-01-15 05:48:02.173094588 +0300
@@ -56,12 +56,12 @@
 install -pDm755 src/%name %buildroot%_sbindir/%name
 install -pDm755 %SOURCE1 %buildroot%_initdir/%name
 install -pDm644 %SOURCE2 %buildroot%_sysconfdir/sysconfig/%name
-install -pDm644 %SOURCE3 %buildroot%_sysconfdir/udev/rules.d/51-hdaps.rules
+install -pDm644 %SOURCE3 %buildroot%_udevrulesdir/51-hdaps.rules
 
 %files
 %_sbindir/*
 %_initdir/%name
 %config(noreplace) %_sysconfdir/sysconfig/%name
-%config(noreplace) %_sysconfdir/udev/rules.d/51-hdaps.rules
+%config(noreplace) %_udevrulesdir/51-hdaps.rules
 
 %changelog
--- a/heimdall.spec	2019-01-15 05:48:02.220094018 +0300
+++ b/heimdall.spec	2019-01-15 05:48:02.221094006 +0300
@@ -91,6 +91,9 @@
 install -m 755 -p "../Linux/heimdall-frontend" "%buildroot%_bindir/heimdall-frontend"
 cd ..
 %endif
+# sysconf/udev policy - /etc is for user
+mkdir -p %buildroot%_udevrulesdir/
+mv %buildroot%_sysconfdir/udev/rules.d/* %buildroot%_udevrulesdir/
 
 %files
 %doc heimdall/doc-pak/README
@@ -98,7 +101,7 @@
 
 %_bindir/%name
 
-%_sysconfdir/udev/rules.d/60-heimdall-galaxy-s.rules
+%_udevrulesdir/60-heimdall-galaxy-s.rules
 
 %if_with gui
 %files frontend
--- a/hp4600-scan.spec	2019-01-15 05:48:02.270093412 +0300
+++ b/hp4600-scan.spec	2019-01-15 05:48:02.271093399 +0300
@@ -33,7 +33,7 @@
 
 %install
 mkdir -p %buildroot/usr/bin
-install -pDm644 %SOURCE1 %buildroot%_sysconfdir/udev/rules.d/74-hp4600-scan.rules
+install -pDm644 %SOURCE1 %buildroot%_udevrulesdir/74-hp4600-scan.rules
 install -p hp4600scanfullfile %buildroot/usr/bin
 install -p fixhp4600output %buildroot/usr/bin
 install -p hp4600onestep %buildroot/usr/bin
@@ -41,6 +41,6 @@
 
 %files
 %_bindir/*
-%_sysconfdir/udev/rules.d/*
+%_udevrulesdir/*
 
 %changelog
--- a/isight-firmware-tools.spec	2019-01-15 05:48:02.328092708 +0300
+++ b/isight-firmware-tools.spec	2019-01-15 05:48:02.329092696 +0300
@@ -33,10 +33,13 @@
 %find_lang %name
 
 rm -rf %buildroot%_datadir/doc/isight-firmware-tools/
+# sysconf/udev policy - /etc is for user
+mkdir -p %buildroot%_udevrulesdir/
+mv %buildroot%_sysconfdir/udev/rules.d/* %buildroot%_udevrulesdir/
 
 %files -f %name.lang
 %doc AUTHORS ChangeLog HOWTO NEWS README
-%_sysconfdir/udev/rules.d/isight.rules
+%_udevrulesdir/isight.rules
 /lib/udev/ift-load
 %_bindir/*
 %_infodir/*
--- a/kino.spec	2019-01-15 05:48:03.224081842 +0300
+++ b/kino.spec	2019-01-15 05:48:03.226081818 +0300
@@ -109,6 +109,9 @@
 	--add-category=Video \
 	--add-category=AudioVideoEditing \
 	%buildroot%_desktopdir/Kino.desktop
+# sysconf/udev policy - /etc is for user
+mkdir -p %buildroot%_udevrulesdir/
+mv %buildroot%_sysconfdir/udev/rules.d/* %buildroot%_udevrulesdir/
 
 %post
 UUU=%_sbindir/update-usb.usermap
@@ -131,7 +134,7 @@
 # NB: *.so belong to kino package too, these are plugins!
 %_libdir/kino-gtk2/*.so*
 %_datadir/mime/packages/*.xml
-%_sysconfdir/udev/rules.d/*
+%_udevrulesdir/*
 %dir %_sysconfdir/kino-scripts/
 %doc AUTHORS BUGS ChangeLog NEWS README* TODO
 
--- a/kqemu.spec	2019-01-15 05:48:03.317080714 +0300
+++ b/kqemu.spec	2019-01-15 05:48:03.318080702 +0300
@@ -65,7 +65,7 @@
 install -Dp %name-extra/%name.control %buildroot%_controldir/%name
 install -Dp %name-extra/%name.init %buildroot%_initdir/%name
 install -Dp -m644 %name-extra/%name.rules \
-	%buildroot%_sysconfdir/udev/rules.d/90-%name.rules
+	%buildroot%_udevrulesdir/90-%name.rules
 
 %pre common
 /usr/sbin/groupadd -r -f kqemu
@@ -88,7 +88,7 @@
 %files common
 %_controldir/%name
 %_initdir/%name
-%config %_sysconfdir/udev/rules.d/90-%name.rules
+%config %_udevrulesdir/90-%name.rules
 %doc %name-extra/README.ALT
 %doc kernel-source-%name-%version/LICENSE
 %doc kernel-source-%name-%version/Changelog
--- a/lbuscd.spec	2019-01-15 05:48:03.367080108 +0300
+++ b/lbuscd.spec	2019-01-15 05:48:03.368080096 +0300
@@ -46,12 +46,12 @@
 %makeinstall_std bindir=%_sbindir
 install -pDm755 %SOURCE1 %buildroot/lib/udev/add_fstab_entry
 install -pDm755 %SOURCE2 %buildroot/lib/udev/remove_fstab_entry
-install -pDm644 %SOURCE3 %buildroot%_sysconfdir/udev/rules.d/88-ltsp.rules
+install -pDm644 %SOURCE3 %buildroot%_udevrulesdir/88-ltsp.rules
 
 %files
 %doc README
 %_sbindir/*
 /lib/udev/*
-%_sysconfdir/udev/rules.d/*
+%_udevrulesdir/*
 
 %changelog
--- a/libfprint.spec	2019-01-15 05:48:03.751075452 +0300
+++ b/libfprint.spec	2019-01-15 05:48:03.752075440 +0300
@@ -51,11 +51,14 @@
 
 %install
 %makeinstall_std
+# sysconf/udev policy - /etc is for user
+mkdir -p %buildroot%_udevrulesdir/
+mv %buildroot%_sysconfdir/udev/rules.d/* %buildroot%_udevrulesdir/
 
 %files
 %doc COPYING INSTALL NEWS TODO THANKS AUTHORS README
 %_libdir/*.so.*
-%_sysconfdir/udev/rules.d/60-fprint-autosuspend.rules
+%_udevrulesdir/60-fprint-autosuspend.rules
 
 %files devel
 %doc HACKING doc/html
--- a/madwimax.spec	2019-01-15 05:48:04.691064052 +0300
+++ b/madwimax.spec	2019-01-15 05:48:04.693064028 +0300
@@ -61,7 +61,7 @@
 
 %install
 %makeinstall_std
-rename z60 60 %buildroot%_sysconfdir/udev/rules.d/z60*.rules
+rename z60 60 %buildroot%_udevrulesdir/z60*.rules
 
 install -d -m 755 %buildroot%_sysconfdir/net/ifaces/
 tar xf %SOURCE1 -C %buildroot%_sysconfdir/net/ifaces/
@@ -72,13 +72,13 @@
 install -m 755 %SOURCE3 %buildroot/lib/udev/%name
 %__subst "
 	s|RUN+=\"%_sbindir/madwimax|RUN+=\"/lib/udev/%name|
-	" %buildroot%_sysconfdir/udev/rules.d/*.rules
+	" %buildroot%_udevrulesdir/*.rules
 
 %files
 %doc AUTHORS ChangeLog INSTALL.TXT NEWS README THANKS TODO scripts/events/*.sh*
 %_sysconfdir/%name
 %config(noreplace) %_sysconfdir/sysconfig/%name
-%_sysconfdir/udev/rules.d/*.rules
+%_udevrulesdir/*.rules
 %_sysconfdir/net/ifaces/wimax0
 /lib/udev/%name
 %_sbindir/madwimax
--- a/perfctr.spec	2019-01-15 05:48:06.243045232 +0300
+++ b/perfctr.spec	2019-01-15 05:48:06.245045208 +0300
@@ -69,6 +69,9 @@
 	%buildroot%_includedir/asm_%name.h
 sed -i 's|asm/%name.h|asm_%name.h|' \
 	%buildroot%_includedir/%name.h
+# sysconf/udev policy - /etc is for user
+mkdir -p %buildroot%_udevrulesdir/
+mv %buildroot%_sysconfdir/udev/rules.d/* %buildroot%_udevrulesdir/
 
 %post
 %post_service %name
@@ -79,7 +82,7 @@
 %files
 %_bindir/perfex
 %config %_initdir/perfctr
-%config %_sysconfdir/udev/rules.d/*perfctr.rules
+%config %_udevrulesdir/*perfctr.rules
 
 %doc README CHANGES TODO OTHER
 
--- a/pilot-link.spec	2019-01-15 05:48:06.446042770 +0300
+++ b/pilot-link.spec	2019-01-15 05:48:06.449042734 +0300
@@ -125,8 +125,8 @@
 %make_install DESTDIR=%buildroot install
 # mandir1='$(mandir)/man1' mandir7='$(mandir)/man7' INSTALL="./libtool /usr/bin/install -p"
 
-mkdir -p %buildroot%_sysconfdir/udev/rules.d
-install -p -m644 doc/60-libpisock.rules %buildroot%_sysconfdir/udev/rules.d/75-lib%name.rules
+mkdir -p %buildroot%_udevrulesdir
+install -p -m644 doc/60-libpisock.rules %buildroot%_udevrulesdir/75-lib%name.rules
 
 %files
 %_bindir/pilot-*
@@ -138,7 +138,7 @@
 %doc AUTHORS NEWS doc/*
 
 %files -n lib%name
-%_sysconfdir/udev/rules.d/*
+%_udevrulesdir/*
 %_libdir/libpisock.so.*
 %_libdir/libpisync.so.*
 %if_with tcl
--- a/qemu.spec	2019-01-15 05:48:08.072023052 +0300
+++ b/qemu.spec	2019-01-15 05:48:08.078022980 +0300
@@ -418,11 +418,11 @@
 ln -s %_bindir/qemu-system-x86_64 %buildroot%_bindir/qemu-kvm
 
 rm -f %buildroot%_bindir/check-*
-rm -f %buildroot%_sysconfdir/udev/rules.d/*
+rm -f %buildroot%_udevrulesdir/*
 
 install -D -m 0755 %SOURCE3 %buildroot%_initdir/%name-kvm
 install -D -m 0644 %SOURCE5 %buildroot%_sysconfdir/sysconfig/%name-kvm
-install -D -m 0644 %SOURCE4 %buildroot%_sysconfdir/udev/rules.d/%rulenum-%name-kvm.rules
+install -D -m 0644 %SOURCE4 %buildroot%_udevrulesdir/%rulenum-%name-kvm.rules
 install -D -m 0755 %name-kvm.control.in %buildroot%_controldir/kvm
 
 install -D -m 0644 %SOURCE6 %buildroot%_unitdir/%name-kvm.service
@@ -491,7 +491,7 @@
 %_datadir/qemu
 %_man1dir/qemu*
 %_man8dir/qemu*
-%_sysconfdir/udev/rules.d/%rulenum-%name-kvm.rules
+%_udevrulesdir/%rulenum-%name-kvm.rules
 %_initdir/%name-kvm
 %config(noreplace) %_sysconfdir/sysconfig/*
 %_controldir/*
--- a/sane.spec	2019-01-15 05:48:08.838013764 +0300
+++ b/sane.spec	2019-01-15 05:48:08.842013716 +0300
@@ -179,10 +179,10 @@
 %__subst "s|/path/to/your/firmware|%_libdir/hotplug/firmware|" %buildroot%_sysconfdir/sane.d/*.conf
 
 # install udev rules
-install -D -m0644 tools/udev/libsane.rules %buildroot%_sysconfdir/udev/rules.d/25-libsane.rules
+install -D -m0644 tools/udev/libsane.rules %buildroot%_udevrulesdir/25-libsane.rules
 # follow fix drops GROUP! (alt bug #29425)
 #remove ownership setup (was conflict with other services) see altbug #21808
-#sed 's/,[[:space:]]\+GROUP=\"[^"]\+\"[[:space:]]*//' -i %buildroot%_sysconfdir/udev/rules.d/25-libsane.rules
+#sed 's/,[[:space:]]\+GROUP=\"[^"]\+\"[[:space:]]*//' -i %buildroot%_udevrulesdir/25-libsane.rules
 
 install -D %SOURCE2 -m0644 %buildroot%_sysconfdir/xinetd.d/%name
 mkdir -p %buildroot%_lockdir/%name/
@@ -220,7 +220,7 @@
 
 %files -n lib%name -f %oname.lang
 %_libdir/*.so.*
-%_sysconfdir/udev/rules.d/*
+%_udevrulesdir/*
 %_man5dir/*
 %dir %_sysconfdir/sane.d/
 %config(noreplace) %_sysconfdir/sane.d/*
--- a/sispmctl.spec	2019-01-15 05:48:09.148010004 +0300
+++ b/sispmctl.spec	2019-01-15 05:48:09.149009992 +0300
@@ -31,12 +31,12 @@
 
 %install
 %makeinstall
-install -pDm644 %SOURCE1 %buildroot%_sysconfdir/udev/rules.d/74-sispmctl.rules
+install -pDm644 %SOURCE1 %buildroot%_udevrulesdir/74-sispmctl.rules
 
 %files
 %_bindir/*
 %_man1dir/*
-%config(noreplace) %_sysconfdir/udev/rules.d/74-sispmctl.rules
+%config(noreplace) %_udevrulesdir/74-sispmctl.rules
 %doc AUTHORS ChangeLog README
 
 %pre
--- a/systemd.spec	2019-01-15 05:48:09.631004148 +0300
+++ b/systemd.spec	2019-01-15 05:48:09.645003978 +0300
@@ -689,8 +689,8 @@
 mkdir -p %buildroot%firmwaredir/updates
 mkdir -p %buildroot/lib/mkinitrd/udev/%firmwaredir/updates
 # Create ghost files
-touch %buildroot%_sysconfdir/udev/rules.d/70-persistent-net.rules
-touch %buildroot%_sysconfdir/udev/rules.d/70-persistent-cd.rules
+touch %buildroot%_udevrulesdir/70-persistent-net.rules
+touch %buildroot%_udevrulesdir/70-persistent-cd.rules
 touch %buildroot%_sysconfdir/udev/hwdb.bin
 
 # udev rule generator
@@ -699,14 +699,14 @@
 install -p -m644 %SOURCE43 %buildroot/lib/udev/rules.d/
 install -p -m755 %SOURCE44 %buildroot/lib/udev/
 install -p -m644 %SOURCE45 %buildroot/lib/udev/rules.d/
-ln -s /dev/null %buildroot%_sysconfdir/udev/rules.d/80-net-name-slot.rules
+ln -s /dev/null %buildroot%_udevrulesdir/80-net-name-slot.rules
 
 # Add completion for bash3
 install -m644 %SOURCE46 %buildroot%_sysconfdir/bash_completion.d/udev
 
 echo ".so man8/systemd-udevd.8" > %buildroot%_man8dir/udevd.8
 
-install -p -m644 %SOURCE31 %buildroot%_sysconfdir/udev/rules.d/
+install -p -m644 %SOURCE31 %buildroot%_udevrulesdir/
 
 install -m644 %SOURCE29 %buildroot/lib/tmpfiles.d/systemd-startup-nologin.conf
 # rpm posttrans filetriggers
@@ -1038,15 +1038,15 @@
 /lib/udev/rules.d/95-keymap.rules
 
 %files -n udev-rules
-%dir %_sysconfdir/udev/rules.d
-%config(noreplace) %_sysconfdir/udev/rules.d/*
+%dir %_udevrulesdir
+%config(noreplace) %_udevrulesdir/*
 /lib/udev/initramfs-rules.d
 /lib/udev/rules.d
 # rule-generator
 /lib/udev/rule_generator.functions
 
-%exclude %_sysconfdir/udev/rules.d/70-persistent-*.rules
-%exclude %_sysconfdir/udev/rules.d/80-net-name-slot.rules
+%exclude %_udevrulesdir/70-persistent-*.rules
+%exclude %_udevrulesdir/80-net-name-slot.rules
 %exclude /lib/udev/rules.d/75-*-generator.rules
 # extras
 %exclude /lib/udev/rules.d/61-accelerometer.rules
--- a/systemd.spec	2019-01-15 05:48:09.645003978 +0300
+++ b/systemd.spec	2019-01-15 05:48:09.674003626 +0300
@@ -711,6 +711,9 @@
 install -m644 %SOURCE29 %buildroot/lib/tmpfiles.d/systemd-startup-nologin.conf
 # rpm posttrans filetriggers
 install -pD -m755 %SOURCE28 %buildroot%_rpmlibdir/systemd-tmpfiles.filetrigger
+# sysconf/udev policy - /etc is for user
+mkdir -p %buildroot%_udevrulesdir/
+mv %buildroot%_sysconfdir/udev/rules.d/* %buildroot%_udevrulesdir/
 
 %pre
 %_sbindir/groupadd -r -f systemd-journal ||:
@@ -1069,8 +1072,8 @@
 /lib/udev/write_cd_rules
 
 %files -n udev-rule-generator-net
-%config(noreplace,missingok) %verify(not md5 size mtime) %ghost %_sysconfdir/udev/rules.d/70-persistent-net.rules
-%_sysconfdir/udev/rules.d/80-net-name-slot.rules
+%config(noreplace,missingok) %verify(not md5 size mtime) %ghost %_udevrulesdir/70-persistent-net.rules
+%_udevrulesdir/80-net-name-slot.rules
 /lib/udev/rules.d/75-persistent-net-generator.rules
 /lib/udev/write_net_rules
 
--- a/systemd.spec	2019-01-15 05:48:09.674003626 +0300
+++ b/systemd.spec	2019-01-15 05:48:09.703003274 +0300
@@ -713,7 +713,7 @@
 install -pD -m755 %SOURCE28 %buildroot%_rpmlibdir/systemd-tmpfiles.filetrigger
 # sysconf/udev policy - /etc is for user
 mkdir -p %buildroot%_udevrulesdir/
-mv %buildroot%_sysconfdir/udev/rules.d/* %buildroot%_udevrulesdir/
+mv %buildroot%_udevrulesdir/* %buildroot%_udevrulesdir/
 
 %pre
 %_sbindir/groupadd -r -f systemd-journal ||:
@@ -1067,7 +1067,7 @@
 /lib/udev/hwdb.d
 
 %files -n udev-rule-generator-cdrom
-%config(noreplace,missingok) %verify(not md5 size mtime) %ghost %_sysconfdir/udev/rules.d/70-persistent-cd.rules
+%config(noreplace,missingok) %verify(not md5 size mtime) %ghost %_udevrulesdir/70-persistent-cd.rules
 /lib/udev/rules.d/75-cd-aliases-generator.rules
 /lib/udev/write_cd_rules
 
--- a/tunctl.spec	2019-01-15 05:48:10.492993694 +0300
+++ b/tunctl.spec	2019-01-15 05:48:10.493993682 +0300
@@ -25,7 +25,7 @@
 make CFLAGS="%optflags"
 
 %install
-install -pm0644 -D tun.rules %buildroot%_sysconfdir/udev/rules.d/90-tun.rules
+install -pm0644 -D tun.rules %buildroot%_udevrulesdir/90-tun.rules
 install -pm0755 -D %name %buildroot%_sbindir/%name
 install -pm0644 -D %name.8 %buildroot%_man8dir/%name.8
 
@@ -33,7 +33,7 @@
 /usr/sbin/groupadd -r -f tun &>/dev/null
 
 %files
-%_sysconfdir/udev/rules.d/90-tun.rules
+%_udevrulesdir/90-tun.rules
 %_sbindir/%name
 %_man8dir/%name.8*
 
--- a/twofing.spec	2019-01-15 05:48:10.540993112 +0300
+++ b/twofing.spec	2019-01-15 05:48:10.541993100 +0300
@@ -31,14 +31,14 @@
 
 %install
 mkdir -p %buildroot/%_bindir
-mkdir -p %buildroot/%_sysconfdir/udev/rules.d/
+mkdir -p %buildroot/%_udevrulesdir/
 %make DESTDIR=%buildroot install
 mkdir -p %buildroot/%_sysconfdir/xdg/autostart/
 install -m0644 %name.desktop %buildroot/%_sysconfdir/xdg/autostart/
 
 %files
 %_bindir/*
-%_sysconfdir/udev/rules.d/*
+%_udevrulesdir/*
 %_sysconfdir/xdg/autostart/*
 
 %changelog
--- a/udisks2.spec	2019-01-15 05:48:10.643991862 +0300
+++ b/udisks2.spec	2019-01-15 05:48:10.646991826 +0300
@@ -114,8 +114,8 @@
 touch %buildroot%_localstatedir/lib/%name/mtab
 
 # use /media for mounting by default
-mkdir -p %buildroot%_sysconfdir/udev/rules.d
-cat > %buildroot%_sysconfdir/udev/rules.d/99-alt-%name-media-mount-point.rules <<_EOF_
+mkdir -p %buildroot%_udevrulesdir
+cat > %buildroot%_udevrulesdir/99-alt-%name-media-mount-point.rules <<_EOF_
 ENV{ID_FS_USAGE}=="filesystem|other|crypto", ENV{UDISKS_FILESYSTEM_SHARED}="0"
 _EOF_
 
@@ -139,7 +139,7 @@
 %_sbindir/umount.%name
 %_bindir/udisksctl
 /lib/udev/rules.d/80-%name.rules
-%_sysconfdir/udev/rules.d/99-alt-%name-media-mount-point.rules
+%_udevrulesdir/99-alt-%name-media-mount-point.rules
 %dir %_libexecdir/%name
 %_libexecdir/%name/udisksd
 %_datadir/polkit-1/actions/org.freedesktop.%name.policy
--- a/voiceman-media.spec	2019-01-15 05:48:10.794990032 +0300
+++ b/voiceman-media.spec	2019-01-15 05:48:10.795990020 +0300
@@ -18,12 +18,12 @@
 %prep
 %setup -q
 %install
-%__install -pD -m 644 voiceman-media.rules %buildroot%_sysconfdir/udev/rules.d/50-voiceman-media.rules
+%__install -pD -m 644 voiceman-media.rules %buildroot%_udevrulesdir/50-voiceman-media.rules
 %__install -pD -m 755 %name %buildroot%_bindir/%name
 %__install -pD -m 644 media.ogg %buildroot%_datadir/sounds/voiceman/media.ogg
 
 %files
-%_sysconfdir/udev/rules.d/*
+%_udevrulesdir/*
 %_bindir/*
 %_datadir/sounds/voiceman/*
 
--- a/voiceman-media-ru.spec	2019-01-15 05:48:10.858989256 +0300
+++ b/voiceman-media-ru.spec	2019-01-15 05:48:10.859989244 +0300
@@ -18,12 +18,12 @@
 %prep
 %setup -q
 %install
-%__install -pD -m 644 %name.rules %buildroot%_sysconfdir/udev/rules.d/50-%name.rules
+%__install -pD -m 644 %name.rules %buildroot%_udevrulesdir/50-%name.rules
 %__install -pD -m 755 %name %buildroot%_bindir/%name
 %__install -pD -m 644 media.ogg %buildroot%_datadir/sounds/voiceman/media.ogg
 
 %files
-%_sysconfdir/udev/rules.d/*
+%_udevrulesdir/*
 %_bindir/*
 %_datadir/sounds/voiceman/*
 
--- a/vzctl.spec	2019-01-15 05:48:10.970987898 +0300
+++ b/vzctl.spec	2019-01-15 05:48:10.972987874 +0300
@@ -58,6 +58,9 @@
 chmod 3770 %buildroot/var/lib/vz/template/cache
 
 touch %buildroot/etc/sysconfig/vzeventd
+# sysconf/udev policy - /etc is for user
+mkdir -p %buildroot%_udevrulesdir/
+mv %buildroot%_sysconfdir/udev/rules.d/* %buildroot%_udevrulesdir/
 
 %pre
 /usr/sbin/groupadd -r -f _vzctl
@@ -112,7 +115,7 @@
 %config %_pkgconfdir/dists
 %config /etc/sysconfig/network-scripts/*
 %config /etc/net/*/*
-%config /etc/udev/rules.d/*
+%config %_udevrulesdir/*
 %config /etc/bash_completion.d/*
 
 %defattr(-,root,_vzctl,-)
--- a/wine.spec	2019-01-15 05:48:11.027987206 +0300
+++ b/wine.spec	2019-01-15 05:48:11.033987134 +0300
@@ -252,6 +252,9 @@
 
 # Do not pack non english man pages yet
 rm -rf %buildroot%_mandir/*.UTF-8
+# sysconf/udev policy - /etc is for user
+mkdir -p %buildroot%_udevrulesdir/
+mv %buildroot%_sysconfdir/udev/rules.d/* %buildroot%_udevrulesdir/
 
 
 %pre
@@ -319,7 +322,7 @@
 # _localstatedir is broken on some systems as ALT Linux
 %attr(0775 root wineadmin) %dir %_localstatedir/lib/wine/
 # rules for fix permissions on protection keys
-%_sysconfdir/udev/rules.d/99-winekeys.rules
+%_udevrulesdir/99-winekeys.rules
 #%_sysconfdir/sysctl.d/wine.conf
 %dir %_sysconfdir/wine/
 %dir %_sysconfdir/wine/reg.d/
--- a/xen.spec	2019-01-15 05:48:11.499981482 +0300
+++ b/xen.spec	2019-01-15 05:48:11.504981422 +0300
@@ -193,8 +193,8 @@
 ############ fixup files in /etc ############
 
 # udev
-mkdir -p %buildroot%_sysconfdir/udev/rules.d
-cp -a dist/install/etc/udev/rules.d/*.rules %buildroot%_sysconfdir/udev/rules.d/
+mkdir -p %buildroot%_udevrulesdir
+cp -a dist/install%_udevrulesdir/*.rules %buildroot%_udevrulesdir/
 
 # modules
 mkdir -p %buildroot%_sysconfdir/sysconfig/modules
@@ -269,7 +269,7 @@
 # All runtime stuff except for XenD/xm python stuff
 %files runtime
 # Hotplug rules
-%config(noreplace) %_sysconfdir/udev/rules.d/*
+%config(noreplace) %_udevrulesdir/*
 
 %dir %attr(0700,root,root) %_sysconfdir/%name
 %dir %attr(0700,root,root) %_sysconfdir/%name/scripts/
--- a/xorg-drv-evdev.spec	2019-01-15 05:48:11.568980646 +0300
+++ b/xorg-drv-evdev.spec	2019-01-15 05:48:11.570980622 +0300
@@ -50,11 +50,11 @@
 
 mkdir -p %buildroot%_xconfdir
 install -m644 *.conf %buildroot%_xconfdir/
-install -pD -m644 99-x11-keyboard.rules %buildroot%_sysconfdir/udev/rules.d/99-x11-keyboard.rules
+install -pD -m644 99-x11-keyboard.rules %buildroot%_udevrulesdir/99-x11-keyboard.rules
 
 %files
 %config(noreplace) %_xconfdir/*.conf
-%_sysconfdir/udev/rules.d/99-x11-keyboard.rules
+%_udevrulesdir/99-x11-keyboard.rules
 %_x11modulesdir/input/*.so
 %_man4dir/*
 
--- a/xorg-drv-wacom.spec	2019-01-15 05:48:11.615980076 +0300
+++ b/xorg-drv-wacom.spec	2019-01-15 05:48:11.617980052 +0300
@@ -43,13 +43,13 @@
 %install
 %make DESTDIR=%buildroot install
 install -pDm644 10-wacom.rules \
-	%buildroot%_sysconfdir/udev/rules.d/10-wacom.rules
+	%buildroot%_udevrulesdir/10-wacom.rules
 
 %files
 %_bindir/xsetwacom
 %_x11modulesdir/input/*.so
 %_xorgsysconfigdir/*.conf
-%_sysconfdir/udev/rules.d/10-wacom.rules
+%_udevrulesdir/10-wacom.rules
 %_man1dir/*.1*
 %_man4dir/*.4*
 
